Page MenuHomePhabricator

Cancel doesn't work as expected
Closed, ResolvedPublic

Description

When clicking on the edit button, I am confronted with a dialogue which asks me to accept the terms of the CCO licence. Clicking on cancel should ideally prevent me from editing the caption since I didn't accept the licence.

The cancel button does not do anything of that sort, instead it just dismisses the dialogue and allows me to make the edit despite having not accepted to release the contribution under the required licence.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 4 2019, 1:34 PM
Ramsey-WMF triaged this task as Low priority.Mar 4 2019, 5:28 PM
Ramsey-WMF assigned this task to Ha78na.
Ramsey-WMF added a subscriber: Ramsey-WMF.

Exploring a change in the button structure to a single "acknowledge" button, pending approval by legal.

Ha78na moved this task from To Do to Blocked on the SDC Engineering board.Mar 4 2019, 8:31 PM
greg added a project: Multimedia.Mar 7 2019, 10:59 PM
Ramsey-WMF moved this task from Blocked to To Do on the SDC Engineering board.Mar 8 2019, 1:46 AM
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.Mar 8 2019, 2:21 AM

WMF Legal informs us that the new single button must say, "I agree"

Ha78na moved this task from To Do to Doing on the Multimedia-Current-Work board.Mar 11 2019, 1:00 PM

Change 495685 had a related patch set uploaded (by Ha78na; owner: Ha78na):
[mediawiki/extensions/WikibaseMediaInfo@master] CC0 License acceptance uses single 'I agree' button

https://gerrit.wikimedia.org/r/495685

Ramsey-WMF moved this task from To Do to Doing on the SDC Engineering board.Mar 14 2019, 6:03 PM

Change 495685 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] CC0 License acceptance uses single 'I agree' button

https://gerrit.wikimedia.org/r/495685

Cparle added a subscriber: Cparle.Apr 18 2019, 1:20 PM

As described on test-commons

Ramsey-WMF closed this task as Resolved.Apr 23 2019, 11:42 PM